function [J, grad] = costFunction(theta, X, y)
	m = length(y); % number of training examples
	J = 0;
	grad = zeros(size(theta));

	h1 = X;
	h1(:,3).^2;
	h = sigmoid(h1 * theta);
	paso1 = (-y)' * log(h);
	paso2 = (1-y)' * log(1-h);
	J = (1/m) * (paso1 - paso2);
	grad = (1/m) * (h1' * (h-y));

end
