function [error_train, error_val] = learningCurve(X, y, Xval, yval)

% Number of training examples
m = size(X, 1);
[m, n] = size(X);

% You need to return these values correctly
initial_theta = zeros(n, 1);
error_train = zeros(m, 1);
error_val   = zeros(m, 1);
options = optimset('GradObj', 'on', 'MaxIter', 400);

for i = 1:m
	[theta, cost] = fminunc(@(t)(costFunction(t, X(1:i, :), y(1:i))), initial_theta, options);
	error_train(i) = cost;
	error_val(i) = costFunction(theta, Xval, yval);
end

end
