﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace es.jutrera.logistic
{
    class DistanceAlgorithms
    {
        private static double Levenshtein(string p1, string p2)
        {
            return LevenshteinDistance.Levenshtein(p1, p2);
        }

        private static double JaroWinkler(string p1, string p2)
        {
            return JaroWinklerDistance.distance(p1, p2);
        }

        internal static void ApplyAlgorithms(Elements item)
        {
            item.Levenshtein = DistanceAlgorithms.Levenshtein(item.NewName, item.OldName);
            item.JaroWinkler = DistanceAlgorithms.JaroWinkler(item.NewName, item.OldName);
        }
    }
}
